Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.session
Interface SessionManager

public interface SessionManager
extends Session

Provides a single interface under which various session providers can be abstracted. SessionManager provides for a collection of packages using one manager to tie the various abstracted session providers together. It is a top-level session that is responsible for loading and managing initial providers.

As a Factory, SessionManager tries to construct each InitialSessionFactory that is listed in com.novell.service.session.spi.InitialSessionFactory (via passed environment). Otherwise, it behaves just like any other session.

Field Summary
`static java.lang.String` | `SCOPE_ATTR_ID` Scope the session manager was created in.
`static java.lang.String` | `SESSION_MANAGER` The Domain name for SessionManager Sessions.

Fields inherited from class com.novell.service.session.Session
`DOMAIN_NAME_ATTR_ID, INITIAL_SESSION_TYPE, IS_REAL_ATTR_ID, MANAGER_SESSION_TYPE, PROVIDER_NAME_ATTR_ID, SESSION_MANAGER_TYPE, SESSION_STATE_ATTR_ID, SESSION_TYPE_ATTR_ID, UID_ATTR_ID`

Fields inherited from class com.novell.service.session.Authenticatable
`IS_AUTHENTICATED_ATTR_ID, USER_NAME_ATTR_ID`

Methods inherited from interface com.novell.service.session.Session
`close, findSession, findSessionTop, getAttributes, getAttributes, getChildren, getDomainName, getEffectiveEnvironment, getEnvironment, getParent, getService, getSession, getSession, getSessionTop, getSessionTop, getUID, hasChildren, hasParent, invalidate, isValid, search, setEnvironment, validateLinks`

Methods inherited from interface com.novell.service.session.Authenticatable
`authenticate, authenticate, createIdentity, getName, isAuthenticated, unauthenticate`

Field Detail

### SCOPE_ATTR_ID

    public static final java.lang.String SCOPE_ATTR_ID

  Scope the session manager was created in.

  (SCOPE_ATTR_ID = "SCOPE")

  See Also:
    `SessionAttr`, `Session.getAttributes()`

### SESSION_MANAGER

    public static final java.lang.String SESSION_MANAGER

  The Domain name for SessionManager Sessions.

  (SESSION_MANAGER = "com.novell.service.session.SessionManager")

  See Also:
    `SessionAttr`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD